<?php
/*
Plugin Name: Disable comments with Google authorship
Plugin URI: http://coffebreak.info
Author: Andon Ivanov
Author URI: http://coffebreak.info
Description: A quick way to disable comments with Google authorship link. This protect your blog from members who want to get article authorship.
Version: 1.0
*/

add_filter( 'preprocess_comment', 'dcga_filter_gauthorship' );

function dcga_filter_gauthorship($commentdata) {
    $pattern = '/http(s)?:\/\/plus\.google\.com(.*)$/';
    if(preg_match($pattern, $commentdata['comment_author_url']))
	$commentdata['comment_author_url'] = '';
    return $commentdata;
}